## commons-digester 1.1.1-1

=== debian/changelog ===
commons-digester (1.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Mon,  5 Nov 2001 08:15:04 +0900

Local variables:
mode: debian-changelog
End:
