=== debian/control ===
Source: commons-digester
Section: contrib/libs
Priority: optional
Maintainer: Takashi Okamoto <tora@debian.org>
Build-Depends: debhelper (>> 3.0.0), j2sdk1.3, ant
Standards-Version: 3.5.2

Package: libcommons-digester-java
Architecture: all
Depends: java-common
Suggests: libcommons-digester-java-doc
Description: A set of abstract data type interfaces and implementations
 The Java Collections Framework provides a set of abstract data
 type interfaces and implementations that offer both a wealth
 of useful functionality, and a solid foundation for extending
 that functionality.

Package: libcommons-digester-java-doc
Architecture: all
Description: Documentation for libcommons-collections-java
 Documentation for libcommons-collections-java which is a set of abstract 
 data type interfaces and implementations.
