=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

PNAME=commons-digester
VERSION=1.1.1
JARFILE=dist/${PNAME}.jar
BUILDFILE=build.xml

# for Blackdown JDK (you shuld add j2sdk1.3 at Build-Depends
# And pacgkage should go to contrib section even if it's own license is free.
export JAVA_HOME=/usr/lib/j2se/1.3
export CLASSPATH=.:${JAVA_HOME}/lib/tools.jar:${JAVA_HOME}/jre/lib/rt.jar
export JAVAC=${JAVA_HOME}/bin/javac

# for Kaffe
# remove following comments when you use kaffe
# you should you kaffe when you want to put your package into main
#export JAVA_HOME=/usr/lib/kaffe
#export CLASSPATH=.:/usr/share/kaffe/Klasses.jar:/usr/share/kaffe/rmi.jar
#export JAVAC=/usr/bin/jikes


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	ant -buildfile ${BUILDFILE} dist

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	ant -buildfile ${BUILDFILE} clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/commons-collections.
	install -m 644 ${JARFILE} $(CURDIR)/debian/lib${PNAME}-java/usr/share/java/${PNAME}-${VERSION}.jar

	dh_movefiles --sourcedir=debian/lib${PNAME}-java

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
